# TODO:
#	- who needs sndfile-regtest?
#
# Conditional build:
%bcond_with	regtest		# sndfile-regtest program
%bcond_without	octave		# octave binding
%bcond_without	static_libs	# static library
%bcond_without	tests		# unit tests
#
Summary:	C library for reading and writing files containing sampled sound
Summary(pl.UTF-8):	Biblioteka obsługi plików dźwiękowych
Name:		libsndfile
Version:	1.2.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/libsndfile/libsndfile/releases
Source0:	https://github.com/libsndfile/libsndfile/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9fe64f68622e54badb5d4bf658fc940a
Patch0:		octave32.patch
URL:		http://www.mega-nerd.com/libsndfile/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.69
%{?with_tests:BuildRequires:	autogen}
BuildRequires:	automake >= 1:1.14
BuildRequires:	flac-devel >= 1.3.1
BuildRequires:	gcc-fortran
BuildRequires:	lame-libs-devel
BuildRequires:	libmpg123-devel >= 1.25.10
BuildRequires:	libogg-devel >= 2:1.3.0
%{?with_tests:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool >= 2:2
BuildRequires:	libvorbis-devel >= 1:1.2.3
%{?with_octave:BuildRequires:	octave-devel >= 2:3}
BuildRequires:	opus-devel >= 1.1
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%{?with_regtest:BuildRequires:	sqlite3-devel >= 3.2}
Requires:	flac >= 1.3.1
Requires:	libmpg123 >= 1.25.10
Requires:	libogg >= 2:1.3.0
Requires:	libvorbis >= 1:1.2.3
Requires:	opus >= 1.1
Obsoletes:	libsndfile1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%description -l pl.UTF-8
Libsndfile to biblioteką napisaną w C, służąca do czytania i
zapisywania plików zawierających zsamplowany dźwięk (np. w formacie MS
Windows WAV czy Apple/SGI AIFF) poprzez jednolity, standardowy
interfejs.

%package devel
Summary:	libsndfile header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do libsndfile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	flac-devel >= 1.3.1
Requires:	lame-libs-devel
Requires:	libmpg123-devel >= 1.25.10
Requires:	libogg-devel >= 2:1.3.0
Requires:	libvorbis-devel >= 1:1.2.3
Requires:	opus-devel >= 1.1
Obsoletes:	libsndfile1-devel

%description devel
Header files and development documentation for libsndfile.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki libsndfile.

%package static
Summary:	libsndfile static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libsndfile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsndfile static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne libsndfile.

%package progs
Summary:	libsndfile utility programs
Summary(pl.UTF-8):	Narzędzia korzystające z biblioteki libsndfile
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description progs
libsndfile utility programs:
- sndfile-convert - convert a sound files from one format to another
- sndfile-info - display information about a sound file
- sndfile-play - play a sound file

%description progs -l pl.UTF-8
Narzędzia z biblioteki libsndfile:
- sndfile-convert - kowertertuje pliki dźwiękowe
- sndfile-info - wyświetla informacje o pliku dźwiękowym
- sndfile-play - odtwarza pliki dźwiękowe

%package -n octave-sndfile
Summary:	sndfile module for Octave
Summary(pl.UTF-8):	Moduł sndfile dla Octave
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	octave >= 2:3
Obsoletes:	libsndfile-octave < 1.0.23

%description -n octave-sndfile
A couple of script files for loading, saving, and playing sound files
from within Octave.

%description -n octave-sndfile -l pl.UTF-8
Kilka skryptów Octave do ładowania, zapisywania i odtwarzania plików
dźwiękowych.

%prep
%setup -q
%patch0 -p1

%if %{without tests}
%{__sed} -i 's, tests$,,' Makefile.am
%endif

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_octave:--disable-octave} \
	--disable-silent-rules \
	%{!?with_regtest:--disable-sqlite} \
	%{?with_static_libs:--enable-static}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libsndfile

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md ChangeLog NEWS.OLD README SECURITY.md
%attr(755,root,root) %{_libdir}/libsndfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsndfile.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_libdir}/libsndfile.so
%{_libdir}/libsndfile.la
%{_includedir}/sndfile.h*
%{_pkgconfigdir}/sndfile.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsndfile.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sndfile-*
%{_mandir}/man1/sndfile-*.1*

%if %{with octave}
%files -n octave-sndfile
%defattr(644,root,root,755)
%{_datadir}/octave/site/m/sndfile_*.m
%dir %{_libdir}/octave/*/site/oct/*/sndfile
%{_libdir}/octave/*/site/oct/*/sndfile/PKG_ADD
%attr(755,root,root) %{_libdir}/octave/*/site/oct/*/sndfile/sndfile.oct
%endif
%changelog
* Sun Oct 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsndfile.git;a=log;h=master

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 10167a6
- updated to 1.2.2

* Tue Jan 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 5e84fc2
- tests BR: autogen

* Tue Jan 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 8abbe91
- updated to 1.2.0 (security fixes in 1.0.29, MPEG support introduced)

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> b8b3545
- flac rebuild; rel 2

* Sun Sep 11 2022 Jan Palus <atler@pld-linux.org> 10848bd
- rel 1.1 for bootstrap build

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 8a1a5ba
- updated to 1.0.28

* Fri May 26 2017 Jan Rękorajski <baggins@pld-linux.org> 1d52ad0
- rebuild with octave 4.2
- release 2 (by relup.sh)

* Sat Jul 30 2016 Jakub Bogusz <qboosh@pld-linux.org> a01cefe
- updated to 1.0.27

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 1a20fc4
- updated to 1.0.26 (fixes CVE-2014-9496 CVE-2014-9756 CVE-2015-7805)
- updated octave32 patch (now it adds octave 4 to supported versions)
- removed obsolete link patch

* Sun Nov 22 2015 Jan Rękorajski <baggins@pld-linux.org> 5c41bc6
- release 11 (by relup.sh)

* Sun Nov 22 2015 Jan Rękorajski <baggins@pld-linux.org> 6871089
- fix build with octave 4.0
- enable octave on x32

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> c0533da
- added link patch (fix linking issue globally), don't hide an error on x32
- disable octave just on x32
- release 10

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> fe94c79
- disabled octave plugin, marginal usage and no octave for x32 for now
- rel 9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 801b708
- x32 rebuild
- release 8 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> f84c3b3
- disable checking for unresolved symbols (false positives in library)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> f75f3f1
- release 7 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> d00279e
- release 6 (by relup.sh)

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> 15454d2
- release 5 (by relup.sh)

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 51b396e
- release 4

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb07f3f
- release 3

